package it.integry.integrywmsnative.gest.contab_doc_interni.dto;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

public class ArtDTO {

    private Integer rigaOrd;

    private String codMart;

    private String barcode;

    private String descrizione;

    private Date dataIns;

    private String untMis;

    private BigDecimal qta;

    private BigDecimal qtaCnf;

    private BigDecimal colli;

    private String partitaMag;

    private LocalDate dataScad;

    private String systemNote;
    private String codAlis;

    public Integer getRigaOrd() {
        return rigaOrd;
    }

    public void setRigaOrd(Integer rigaOrd) {
        this.rigaOrd = rigaOrd;
    }

    public String getCodMart() {
        return codMart;
    }

    public void setCodMart(String codMart) {
        this.codMart = codMart;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public void setDescrizione(String descrizione) {
        this.descrizione = descrizione;
    }

    public Date getDataIns() {
        return dataIns;
    }

    public void setDataIns(Date dataIns) {
        this.dataIns = dataIns;
    }

    public String getUntMis() {
        return untMis;
    }

    public void setUntMis(String untMis) {
        this.untMis = untMis;
    }

    public BigDecimal getQta() {
        return qta;
    }

    public void setQta(BigDecimal qta) {
        this.qta = qta;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public void setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
    }

    public BigDecimal getColli() {
        return colli;
    }

    public void setColli(BigDecimal colli) {
        this.colli = colli;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public void setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
    }

    public LocalDate getDataScad() {
        return dataScad;
    }

    public void setDataScad(LocalDate dataScad) {
        this.dataScad = dataScad;
    }

    public String getSystemNote() {
        return systemNote;
    }

    public void setSystemNote(String systemNote) {
        this.systemNote = systemNote;
    }

    public String getCodAlis() {
        return codAlis;
    }

    public ArtDTO setCodAlis(String codAlis) {
        this.codAlis = codAlis;
        return this;
    }
}
